Bug 29627 - kdm/kde crashes
kdm/kde crashes
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-26 17:32 EST by Sammy
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-19 12:36:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sammy 2001-02-26 17:32:54 EST
I have been having this problem on two different machines a desktop
and a notebook both upgraded to latest levels of Wolverine and Rawhide
(Feb. 22). But the problem started sometime after
XFree86-libs-4.0.2-0.2.i386.rpm. Since then everytime I upgrade XFree
if I upgrade the -libs-component my kdm/kde does not work. This also
follows the kde upgrades consistently (from 2.0.1 to 2.1). There is a
core file and it is for drkonqi. One one computer I am using nv driver
on the other r128. BUT if I switch over to NVIDIA drivers then it works!
at least one the desktop...Here are the messages from startkde:

kdeinit: Launched DCOPServer, pid = 17990 result = 0
DCOPServer: SetAProc_loc: conn 0, prot=local, file=/tmp/.ICE-unix/17992
KCrash: crashing.... crashRecursionCounter = 2
kdeinit: Launched KLauncher, pid = 17993 result = 0
DCOP: register 'klauncher' -> number of clients is now 1
DCOP: register 'anonymous-17993' -> number of clients is now 2
DCOP: new daemon klauncher
DCOP:  unregister 'anonymous-17993'
DCOP: number of clients is now down to 0
kdeinit: Launched KDED, pid = 17995 result = 0
DCOP: register 'kded' -> number of clients is now 1
DCOP: register 'anonymous-17995' -> number of clients is now 2
KCrash: Application Name = ksplash path = <unknown>
DCOP: register 'anonymous-17996' -> number of clients is now 3
kio (KLauncher): KLauncher: Got kdeinit_exec_wait('kbuildsycoca', ...)
KInit: Got EXEC 'kbuildsycoca' from klauncher.
kio (KLauncher): kbuildsycoca (pid 17998) up and running.
DCOP: register 'kbuildsycoca' -> number of clients is now 4
kbuildsycoca: Recreating ksycoca file
kio (KService*): WARNING: The desktop entry file System/xosview.desktop has
=Administration instead of "Application" or "Service"
kio (KService*): WARNING: Invalid Service : System/xosview.desktop
kio (KSycoca): KSycocaDict: 215 entries.
kio (KSycoca): KSycocaDict: 51 entries.
kio (KSycoca): KSycocaDict: 4 entries.
kio (KSycoca): KSycocaDict: 331 entries.
kio (KSycoca): KSycocaDict: 331 entries.
kio (KSycoca): KSycocaDict: 331 entries.
kio (KSycoca): KSycocaDict: 13 entries.
kio (KSycoca): KSycocaDict: 30 entries.
kbuildsycoca: endOfData :    4ed5a
kbuildsycoca: Build = 0s Save = 2s
kdeinit: PID 17998 terminated.
DCOP:  unregister 'kbuildsycoca'
DCOP: number of clients is now down to 3
DCOP:  unregister 'anonymous-17996'
DCOP: number of clients is now down to 2
DCOP: new daemon kded
kdeinit: PID 17995 terminated.
kdeinit: opened connection to :0.0
DCOP:  unregister 'anonymous-17995'
DCOP: number of clients is now down to 0
kdeinit: Launched 'kcminit', pid = 17999 result = 0
KCrash: crashing.... crashRecursionCounter = 2
KCrash: Application Name = kcminit path = <unknown>
kdeinit: PID 17999 terminated.
DCOP: register 'knotify' -> number of clients is now 1
DCOP: register 'anonymous-18002' -> number of clients is now 2
KCrash: crashing.... crashRecursionCounter = 2
KCrash: Application Name = knotify path = <unknown>
DCOP aborting call from 'anonymous-18002' to 'knotify'
DCOP:  unregister 'knotify'
DCOP: number of clients is now down to 1
ERROR: KUniqueApplication: DCOP communication error!
DCOP:  unregister 'anonymous-18002'
DCOP: number of clients is now down to 0
KCrash: crashing.... crashRecursionCounter = 2
KCrash: Application Name = ksmserver path = <unknown>
# mwmDCOPServer : slotTerminate() -> sending terminateKDE signal.
klauncher: KLauncher::process ---> terminateKDE
kdeinit: terminate KDE.
kdeinit: Fatal IO error: client killed
DCOP:  unregister 'klauncher'
DCOP:  unregister 'kded'
Comment 1 Mike A. Harris 2001-02-27 14:29:04 EST
Sounds like a KDE issue, not XFree86.. reassigning..
Comment 2 Sammy 2001-02-27 17:21:36 EST
I looked at the same log for NVIDIA drivers and the difference is an
error message for NVIDIA drivers stating that RENDERING is not defined
or something to that fact. I know NVIDIA does their own rendering....
Could it be that nv will work without rendering and that is my problem?
Is there anything in kernel or XF86Config-4 file that needs to be called?
Comment 3 Bernhard Rosenkraenzer 2001-02-28 05:22:30 EST
I can't reproduce this on mga and ati chipsets (the only ones I have
Does updating qt to 2.3.0 help?
Comment 4 Sammy 2001-02-28 09:47:39 EST
Where can I get the qt-2.3.0 rpms? What is the difference between
XFree86-libs-4.0.2-0.2 and higher....everything works with 0.2 libs
(all others being at the current level!). The funny thing is that it
is happening on two different machines, a DELL Inspiron 4000 notebook
with ATI Rage Mobility, and a DELL Dimension XPS-T with GeForce 256
Comment 5 Sammy 2001-02-28 15:33:45 EST
More info...I have installed XFree86-libs-4.0.2-9.2...and started adding
libraries from XFree86-libs-4.0.2-0.2. The only one that SOLVES the
problem is: libXft.so.1.0   This is also the file whose size is most
different between the two versions. Something has changed between 0.2 and 1
in libXft...any ideas?
Comment 6 Bernhard Rosenkraenzer 2001-02-28 15:43:09 EST
Definitely an X bug then.
This is almost certainly related to Bug #26350.
Mike, please update Xft to the stuff from CVS.

umar: Please try the X packages at ftp://ftp.bero.org/pub/experimental/i386 
and let us know if they solve this problem for you.
Comment 7 Bernhard Rosenkraenzer 2001-02-28 15:44:18 EST
Also, please let us know if this problem persists with qt 2.3.0, it has a 
couple of workarounds for Xft bugs.
Comment 8 Sammy 2001-03-01 11:16:31 EST
I am trying to compile qt-3.0 from CVS (even fixed the qt.spec file) but
compilation crashes due to some Xft header error:
g++ -c -pipe -Wall -W -O2 -march=i386 -mcpu=i686 -fno-exceptions -D_REENTRANT
-I/usr/src/redhat/BUILD/qt-3.0.0/include -I/usr/X11R6/include
-I/usr/X11R6/include -I/usr/src/redhat/BUILD/qt-3.0.0/src/.moc/release-mt/ -o
In file included from /usr/src/redhat/BUILD/qt-3.0.0/src/kernel/qt_x11.h:97,
/usr/X11R6/include/X11/Xft/XftFreetype.h:34: syntax error before `;'
/usr/X11R6/include/X11/Xft/XftFreetype.h:37: syntax error before `;'
/usr/X11R6/include/X11/Xft/XftFreetype.h:41: syntax error before `;'
/usr/X11R6/include/X11/Xft/XftFreetype.h:69: `FT_Face' was not declared in this
/usr/X11R6/include/X11/Xft/XftFreetype.h:69: parse error before `,'
make[2]: ***
[/usr/src/redhat/BUILD/qt-3.0.0/src/.obj/release-mt/qapplication_x11.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/qt-3.0.0/src'
make[1]: *** [sub-src] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/qt-3.0.0'
make: *** [init] Error 2
Any quick solutions!
Comment 9 Sammy 2001-03-01 11:53:24 EST
XFree86-*-*-6bero did NOT do it...same problem
Comment 10 Sammy 2001-03-02 11:44:17 EST
OK....I have extracted the latest CVS XFree86 entire package and rebuilt it
using RedHat spec file (keeping some of the redhat patches). It seems to
work!!! I'll check on the notebook this weekend.

Some usefull hints about the CVS files and the spec file:

1. There is a typo in xc/fonts/util/Imakefile, the last line
   LinkFile(map-KOI8-R,KIO8-R.TXT) ---> LinkFile(map-KOI8-R,KOI8-R.TXT)
   typo KIO8-R.TXT crashes the build.

2. In file xc/programs/xftcache/Imakefile remove the install:: statement.
   If kept this introduces a second install:: statement in addition to the
   default one AND it is: $RPMBUILD_DIR/usr/X11R6/bin/xftcache, which executes
   xftcache, and if your presently installed libraries (actual ones) are not
   up to date it crashes by not finding certain symbols thus killing the build.

3. The binary command fsinfo no longer is there (directory is there but empty).
   The spec file looks for it and cannot find it. This may be due to the fact
   that there is another fsinfo in /usr/sbin coming from am-utils package.

4. When Cyrillic option is set to NO the spec file still checks for files etc.
   that crashes the build.
Comment 11 Sammy 2001-03-05 15:09:15 EST
I tried it on the notebook (DELL Inspiron 4000) with ATI Rage Mobility.
The KDE still crashes but some of the GL screensavers are now working but
not all. So, in summary "nv" driver is ok with KDE now but not r128.
Comment 12 Bernhard Rosenkraenzer 2001-03-06 08:29:40 EST
Qt 2.3.0, not 3.0.0 - Try the package from the current rawhide tree.

Comment 13 Sammy 2001-03-06 15:58:47 EST
Sorry that is what I meant....OK...I installed all the rawhide stuff
this morning (XFree-4.0.2-11, qt-2.3.0, etc.) and the nv driver IS
working now with KDE....I'll test the notebook r128 tonight.
Comment 14 Mike A. Harris 2001-03-13 00:42:21 EST
Try XFree86-4.0.2-11.4.0 and Mesa 3.4-11 from:
Also use the latest rawhide kernel.  This should solve the problem.  You
must use these packages together though, grabbing one only will not work.

Does it fix the problem for you (both nvidia and r128 fixes have occured).
Comment 15 Mike A. Harris 2001-03-17 19:24:29 EST
Does the above packages fix it for you?
4.0.2a-2 and mesa 3.4-12 are avail now, try those instead.
Comment 16 Mike A. Harris 2001-03-18 15:01:59 EST
Can't reproduce with 4.0.3-1 + Mesa3.4-13 from rawhide.

Comment 17 Sammy 2001-03-19 12:36:43 EST
Yes...I finally managed to get 4.0.3-1 and Mesa and this problem seems to
be resolved. Thanks.

Note You need to log in before you can comment on or make changes to this bug.